Package Details: enlightenment-git 0.24.0.beta1.24079.gd63f4a53e-1

Git Clone URL: https://aur.archlinux.org/enlightenment-git.git (read-only, click to copy)
Package Base: enlightenment-git
Description: Enlightenment window manager - Development version
Upstream URL: http://www.enlightenment.org
Licenses: BSD
Conflicts: enlightenment
Provides: enlightenment=0.24.0.beta1.24079.gd63f4a53e, notification-daemon
Submitter: Scimmia
Maintainer: raster
Last Packager: raster
Votes: 64
Popularity: 0.77
First Submitted: 2014-01-08 21:25
Last Updated: 2020-05-14 09:28

Dependencies (22)

Required by (46)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

AJSlye commented on 2020-05-14 08:54

The package ccache is not installed by default on most systems. this should probably be added to the makedepends.

stano00 commented on 2020-05-08 15:39

Thanks for your quick response. It built successfully today.

raster commented on 2020-05-08 10:31

it's temporary. i have to put the -beta in the meson package version so it comes out with the tarball. i forgot to commit the previous change thus it worked - (it was local only). the issue is that it's snarfing version from the meson build and the version does indeed have a -beta1 in it... i'll try make the PKGBUILD strip/change this.

stano00 commented on 2020-05-08 03:09

I got the following errors when trying to build today. There was no problem building last week.

ERROR: pkgver is not allowed to contain colons, forward slashes, hyphens or whitespace.

ERROR: pkgver() generated an invalid version: 0.24.0-beta1.24074.g27fd81bde

maderios commented on 2019-09-25 19:48

It works now, thanks :)

raster commented on 2019-09-25 17:44

ok. it wasn't kernel or util-linux .. efl removed a -I include cflag from efl-wl and e's build didn't explicitly look for uuid as a dep.

raster commented on 2019-09-25 17:18

Oh... this is new. A kernel update makes this happen. I updated today to 5.3 (from 5.2) and saw this. Couldn't reproduce this before.

maderios commented on 2019-09-24 20:07

I got error when compiling enlightenment-git (with last efl-git)

../src/bin/e_gadget_loader.c:8:10: fatal error: uuid.h: No such file or directory 8 | #include <uuid.h> | ^~~~~~~~ compilation terminated. [269/687] Compiling C object 'src/modules/9490802@@pager@sha/pager_gadget_pager.c.o'. ninja: build stopped: subcommand failed. ==> ERROR: A failure occurred in build().

raster commented on 2019-08-18 21:18

gestures we do client-side in efl. it's hard to do in x due to the way input systems work in a "global sense". we're improving our touch-friendliness but it needs work and i guess there is a lot to do so ... :)

gothmog123 commented on 2019-08-18 17:38

thanks! any other tips for tablet mode? any way to get touchscreen gestures?